## texlive-bin 2013.20130529.30792

=== debian/changelog ===
texlive-bin (2013.20130529.30792-1ubuntu1) saucy; urgency=low

  * Import metapost bugfix release 1.803 to fix crash and bad font rendering
    in lilypond (LP: #1243777)
  * Update pmpost correspondingly (backport from Debian)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Oct 2013 11:55:18 +0100

texlive-bin (2013.20130529.30792-1build2) saucy; urgency=low

  * No-change rebuild for new poppler ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 30 Jul 2013 17:02:46 +0000

texlive-bin (2013.20130529.30792-1build1) saucy; urgency=low

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2013 15:31:13 +0200

texlive-bin (2013.20130529.30792-1) unstable; urgency=low

  * remove dependency on ed, seems not needed anymore (Closes: #546938)
  * fix encoding of mendex man page (new b-d on recode) (Closes: #702202)
  * fix strange output in tex.1 (Closes: #663157)
  * upstream fixes (already in earlier TL2013 versions)
    - xdvi now without libt1 (Closes: #668415)
    - xdvi reacts on horizontal scroll events (Closes: #235757, #131338)
    - dvips does not crash on input == output (Closes: #703212)
  * upstream fix to luatex libio

 -- Norbert Preining <preining@debian.org>  Wed, 29 May 2013 10:05:32 +0900

texlive-bin (2013.20130523.30626-1) unstable; urgency=low

  * update pmpost patch to fix png/svg output, thanks to Akira Kakuto
    (Closes: #709273)
  * disable ttf2pk and enable ttf2pk2, this allows us to get rid
    of unsupported libfreetype(1), thanks again to Ondřej Surý.
  * new upstream: remove biber binaries (Closes: #709274)
  * fix postinst so that formats are again rebuild
  * remove lintian-overrides, not needed anymore

 -- Norbert Preining <preining@debian.org>  Thu, 23 May 2013 09:42:24 +0900

texlive-bin (2013.20130522.30620-1) unstable; urgency=low

  * remove libgd and t1lib copies by removing the need to configure
    these libraries at all (Closes: #709145, #709146)
    Thanks Ondřej Surý <ondrej@debian.org> for providing the patch.
  * build with system zzlib and ice, remove embedded copies
  * remove copies of cairo, pixman which are already unused
  * re-include pmpost building, thanks to Akira Kakuto and
    Hironori Kitagawa

 -- Norbert Preining <preining@debian.org>  Wed, 22 May 2013 10:07:27 +0900

texlive-bin (2013.20130521.30601-1) unstable; urgency=low

  * break against old TeX Live and update search path (Closes: #709025)
  * reenable in-tree libgd usage: after the libtiff4 vs libtiff5 chaos
    has been fixed (in libgd?) it will be disabled again

 -- Norbert Preining <preining@debian.org>  Tue, 21 May 2013 11:14:15 +0900

texlive-bin (2013.20130516.30500-1) unstable; urgency=low

  * new upstram checkout
  * disable pmpost, no build support at the moment

 -- Norbert Preining <preining@debian.org>  Thu, 16 May 2013 18:21:52 +0900

texlive-bin (2012.20130315.29398-1) experimental; urgency=low

  * import new upstream, add svn rev number as last version component
  * add Vcs-fields (Closes: #695054)
  * bump texlive-common dependency to 2012.20130315
  * disable building texdoctk, fully build out of texlive-base

 -- Norbert Preining <preining@debian.org>  Sat, 16 Mar 2013 09:53:14 +0900

texlive-bin (2012.20121124-1) experimental; urgency=low

  * depend on texlive-common >= 2012.20121120 to prohibit partial
    update of only texlive-binaries (Closes: #694126)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Nov 2012 14:22:09 +0900

texlive-bin (2012.20121120-1) experimental; urgency=low

  * new upstream build

 -- Norbert Preining <preining@debian.org>  Tue, 20 Nov 2012 17:57:16 +0900
