=== debian/changelog ===
texlive-bin (2013.20130729.30972-2build3) trusty; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2014 23:17:17 +0100

texlive-bin (2013.20130729.30972-2build2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 05:35:29 +0000

texlive-bin (2013.20130729.30972-2build1) trusty; urgency=medium

  * No-change rebuild for new harfbuzz

 -- Iain Lane <iain.lane@canonical.com>  Mon, 09 Dec 2013 12:45:01 +0000

texlive-bin (2013.20130729.30972-2) unstable; urgency=low

  * fix some bugs in man pages: mf, xdvi, synctex.5, mendex, detex
    (Closes: #662846, #664961, #667981)
  * fix a bug in mendex when range ops and macros are used (Closes: #534641)
  * reinstatiate xdvi perl wrapper (Closes: #631271, #583188)
  * pull several bug fixes from upstream svn, in particular fixes for
    luatex (svn 31126, 31313, 31358), dvipdfmx (svn 31303), pdftex (svn 31313),
    dvips (svn 31350, 31547)
  * explicitely write out versioned dependencies on automake, autoconf, 
    libtool, and m4, to make sure we get successful builds

 -- Norbert Preining <preining@debian.org>  Mon, 09 Sep 2013 15:18:50 +0900

texlive-bin (2013.20130729.30972-1) unstable; urgency=low

  * update make-orig-tar to use last-changed-rev svn number for
    the last number in the version string
  * switch to system harfbuzz library (Closes: #717962)
    - remove halfbuzz library from source
    - add build dependency on libharfbuzz-dev >= 0.9.18-3
    - adjust debian/rules to build with system-harfbuzz
  * add texinfo to build-deps, somehow timestamps can get screwed
    which means that info files will be rebuild (Closes: #718251)

 -- Norbert Preining <preining@debian.org>  Tue, 30 Jul 2013 14:00:37 +0900

texlive-bin (2013.20130722.31261-1) unstable; urgency=low

  * allow for different origin in make-orig-tar
  * Imported Upstream version 2013.20130722.31261
    - fix for crash of luatex on x32 archs in certain cases
    - update metapost to 1.803
  * ship new pmpost patch for 1.803
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 26 Jul 2013 14:39:43 +0900
