=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
-Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, libpng-dev, zlib1g-dev | libz-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libcairo2-dev (>= 1.12), libpixman-1-dev (>= 0.18), libzzip-dev (>= 0.12), libicu-dev, recode
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, libpng-dev, zlib1g-dev | libz-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libcairo2-dev (>= 1.12), libpixman-1-dev (>= 0.18), libzzip-dev (>= 0.12), libharfbuzz-dev (>= 0.9.18-3), libicu-dev, recode, texinfo, automake (>= 1.13.1), autoconf (>= 2.69), libtool (>= 2.4.2), m4 (>= 1.4.16)
+Standards-Version: 3.9.4
 Homepage: http://www.tug.org/texlive/
 Vcs-Git: git://anonscm.debian.org/debian-tex/texlive-bin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texlive-bin.git
