=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/sh
-#
-# since we are reautoconf-ing with old version of auto*, we need
-# to make sure that the 1.12.3+ variables AM_V_P are defined
-export AM_V_P=false
+
+# In case one wants to build with old automake (<< 1.13.1), the following
+# variable has to be set. By default the debian/control requires high
+# enough versions of automake and friends
+#export AM_V_P=false
 
 DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -48,6 +49,7 @@
 	--with-system-xpdf			\
 	--with-system-poppler			\
 	--with-system-graphite2			\
+	--with-system-harfbuzz 			\
 	--with-system-libgs			\
 	--with-system-cairo 			\
 	--with-system-pixman			\
@@ -82,6 +84,10 @@
 
 override_dh_install:
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
+	# replace xdvi wrapper shell script with perl variant to
+	# allow for opening of gz etc files
+	rm debian/texlive-binaries/usr/bin/xdvi
+	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
 	# remove texlive directories, they should not be shipped here
 	rm -rf debian/texlive-binaries/usr/share/texlive
 	# remove wrongly added info/dir.gz
