=== debian/changelog ===
texlive-bin (2014.20140528.34243-5) unstable; urgency=medium

  * s390x: switch back to use standard gcc (4.9), but build with -O1 
  * cherrypick RTL/synctex reinstantiation from upstream

 -- Norbert Preining <preining@debian.org>  Wed, 23 Jul 2014 08:19:17 +0900

texlive-bin (2014.20140528.34243-4) unstable; urgency=medium

  * include more upstream fixes for synctex shlib
  * fix FTBFS on s390x due to gcc 4.9 (Closes: #753575)

 -- Norbert Preining <preining@debian.org>  Fri, 04 Jul 2014 15:25:55 +0900

texlive-bin (2014.20140528.34243-3) unstable; urgency=medium

  [ Norbert Preining ]
  * import three patches from luatex upupstream
  * build luajittex based on whitelisting good archs
    (Closes: #751150, #752041, #752065)
  * Include upstream changes to support building synctex as shared
    library, based on a patch by Sebastian Ramacher.
  
  [ Sebastian Ramacher ]
  * Build shared library for synctex_parser. (Closes: #749924)
    - debian/control: Add packages for the shared library and development
      files.
    - debian/rules: Adopt for new binary packages.

 -- Norbert Preining <preining@debian.org>  Sun, 29 Jun 2014 12:10:53 +0900

texlive-bin (2014.20140528.34243-2) unstable; urgency=medium

  * disable building of luajittex on s390x, hppa (Closes: #749718)
  * bump depends on tex-common to 5.02 to make sure that we support
    architectures without installed luajittex

 -- Norbert Preining <preining@debian.org>  Fri, 30 May 2014 18:03:19 +0900

texlive-bin (2014.20140528.34243-1) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 28 May 2014 18:11:57 +0900

texlive-bin (2014.20140522.34183-1) experimental; urgency=medium

  * bump breaks to << 2014, and also break against tex-common << 5
  * Imported Upstream version 2014.20140522.34183

 -- Norbert Preining <preining@debian.org>  Thu, 22 May 2014 11:40:15 +0900

texlive-bin (2014.20140512.33982-1) experimental; urgency=low

  * fix missing epoch for build-dep on automake (Closes: #726513)
  * libpng >= 1.4 not available in Debian or not default:
    - reinclude libpng, gd, cairo, freetype2
    - adjust build-deps
    - adjust rules file
  * update make-orig-tar for 2014: do not remove above mentioned
    libs, but remove unused/separately packaged utils
  * update patches for 2014, remove several outdated
  * build with --disable-linked-scripts, and use patching of
    Makefile.am file only for tl_scripts (texk/texlive/Makefile.am)
  * build luatex again, we drop the independent package, build 
    transitional luatex package to ease upgrade
  * bump standards version, no changes necessary
  * add build-deps: llibxp-dev, libxi-dev for new xdvi
  * don't remove X_PRE_LIBS from xdvik, otherwise linking breaks
  * add versioned dependencies on libkpathsea6 and libptexenc1, otherwise
    some binaries do not work
  * import relax-zlib-check patch from luatex package

 -- Norbert Preining <preining@debian.org>  Mon, 12 May 2014 13:19:46 +0900
