=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/sh
+
+#
+# the configure code already checks a lot, but it does not catch
+# all cases. We have now two ways to test for where to build.
+# One by disabling on the other platforms, one by whitelisting
+# and building only on some platforms.
+LUAJIT_FAIL_ARCHS := s390x hppa arm64 ppc64 ppc64el x32 mips64 mips64el m68k
+LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc 
 
 # In case one wants to build with old automake (<< 1.13.1), the following
 # variable has to be set. By default the debian/control requires high
@@ -13,6 +21,28 @@
 
 ifeq ($(DEB_HOST_ARCH), alpha)
   export LDFLAGS = -Wl,--no-relax
+endif
+
+#
+# gcc-4.9 creates broken binaries on s390x, see #753575,
+# fix is to use -O1
+ifeq ($(DEB_HOST_ARCH), s390x)
+  export CFLAGS = -O1
+  export CXXFLAGS = -O1
+endif
+
+# for blacklisting bad archs
+#ifneq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_FAIL_ARCHS)))
+#  DISABLE_JIT=--disable-luajittex
+#endif
+
+# for whitelisting good archs
+ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
+  # it is not in the list of good archs -> disable luajittex
+  BUILDLUAJITTEX=--disable-luajittex
+else
+  # not necessary, but for completeness
+  BUILDLUAJITTEX=--enable-luajittex
 endif
 
 #
@@ -34,38 +64,52 @@
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
+#
+# we need libpng >= 1.4 which is not available in unstable and
+# seems not to arrive anytime soon. We have to rebuild also
+# the following depending libs with new libpng: gd freetype2 cairo
+#	--with-system-freetype2			\
+	--with-freetype2-include=/usr/include/freetype2 \
+#	--with-system-libpng			\
+#	--with-system-gd			\
+#	--with-system-cairo 			\
+#
+
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr 	\
+	# we have to make sure that the mendex test case that is added
+	# by a patch is executable
+	chmod 0755 texk/mendexk/tests/mendex.test
+	# run out configure script
+	dh_auto_configure -- -C --prefix=/usr 	\
 	--datarootdir=/usr/share/texlive	\
 	--disable-native-texlive-build		\
 	--disable-largefile			\
 	--disable-missing			\
+	--disable-linked-scripts		\
 	--with-banner-add=/Debian		\
 	--enable-shared				\
 	--with-system-zlib			\
-	--with-system-libpng			\
 	--with-system-zzlib			\
-	--with-system-freetype2			\
 	--with-system-xpdf			\
 	--with-system-poppler			\
+	--with-system-potrace			\
 	--with-system-graphite2			\
 	--with-system-harfbuzz 			\
 	--with-system-libgs			\
-	--with-system-cairo 			\
 	--with-system-pixman			\
+	--with-system-libpaper			\
 	--with-system-zziplib			\
 	--with-system-icu			\
-	--with-freetype2-include=/usr/include/freetype2 \
 	--with-x				\
 	--with-mf-x-toolkit			\
 	--with-xdvi-x-toolkit=xaw		\
+	$(BUILDLUAJITTEX)			\
 	--disable-lcdf-typetools		\
 	--disable-biber				\
 	--disable-dvipng			\
 	--disable-musixflx			\
 	--disable-ps2eps			\
 	--disable-psutils			\
-	--disable-luatex			\
 	--disable-t1utils			\
 	--disable-cjkutils			\
 	--disable-chktex			\
@@ -92,10 +136,11 @@
 	rm -rf debian/texlive-binaries/usr/share/texlive
 	# remove wrongly added info/dir.gz
 	rm -f debian/texlive-binaries/usr/share/info/dir*
+	# remove tlbuild info document, not needed
+	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
 	rm debian/texlive-binaries/usr/share/man/man1/latex.1*
 	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
 	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
-	rm debian/texlive-binaries/usr/share/man/man1/eplain.1*
 	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
 	# fix EUCJ encoding of mendex.1
 	recode EUC-JP..UTF8 debian/texlive-binaries/usr/share/man/man1/mendex.1
@@ -111,9 +156,12 @@
 	dh_installdocs -plibptexenc1 -plibptexenc-dev \
 		texk/ptexenc/COPYRIGHT texk/ptexenc/README
 	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
-		texk/kpathsea/AUTHORS texk/kpathsea/BUGS \
+		texk/kpathsea/AUTHORS \
 		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
 		texk/kpathsea/README
+	dh_installdocs -plibsynctex1 -plibsynctex-dev \
+		texk/web2c/synctexdir/README.txt	\
+		texk/web2c/synctexdir/synctex_parser_readme.txt
 
 override_dh_installchangelogs:
 	dh_installchangelogs
@@ -121,6 +169,8 @@
 		texk/kpathsea/ChangeLog
 	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
 		texk/ptexenc/ChangeLog
+	dh_installchangelogs -plibsynctex1 -plibsynctex-dev \
+		texk/web2c/synctexdir/ChangeLog
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -128,11 +178,13 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -plibkpathsea6
 	dh_makeshlibs -plibptexenc1
+	dh_makeshlibs -plibsynctex1
 
 override_dh_shlibdeps:
 	dh_shlibdeps \
 		-l debian/libkpathsea6/usr/lib \
-		-l debian/libptexenc1/usr/lib
+		-l debian/libptexenc1/usr/lib \
+		-l debian/libsynctex1/usr/lib
 
 override_dh_clean:
 	dh_clean -X.orig
